Callbacks
List callback schemas
Lists the request and response schemas for every callback definition — use them
to generate types or validate callback payloads. Read-only. Requires a company
Bearer token (401 otherwise).
GET
/
api
/
callback
/
schemas
List callback schemas
curl --request GET \
--url https://api.fluid.app/api/callback/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/callback/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/callback/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/callback/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/callback/schemas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/callback/schemas")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/callback/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schemas": [
{
"name": "cart_customer_attached",
"version": "1.0.0",
"schema_hash": "cart_customer_attached_v1",
"description": "Called when a customer is bound to a cart. Use this to perform customer-aware enrichment on the cart (loyalty discounts, eligibility checks, tier-based pricing) the moment the shopper becomes known.",
"request_schema": {
"type": "object",
"required": [
"cart",
"customer",
"context"
],
"properties": {
"cart": {
"type": "object"
},
"customer": {
"type": "object"
},
"context": {
"type": "object",
"required": [
"trigger_source",
"company_id"
],
"properties": {
"trigger_source": {
"type": "string"
},
"company_id": {
"type": "integer"
}
}
}
}
},
"response_schema": {
"type": "object",
"required": [
"success"
],
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string"
}
}
},
"example_response": {
"success": true,
"message": "Loyalty tier applied"
}
},
{
"name": "update_cart_tax",
"version": null,
"schema_hash": null,
"description": "Called when cart needs external tax calculation updates",
"request_schema": {
"type": "object",
"required": [
"cart",
"change_type"
],
"properties": {
"cart": {
"type": "object",
"description": "Cart object"
},
"change_type": {
"type": "string",
"description": "Type of change that triggered the tax update (e.g. 'add_items', 'remove_items', etc.)"
}
}
},
"response_schema": {
"type": "object",
"required": [
"tax_total"
],
"properties": {
"tax_total": {
"type": "number",
"description": "Updated tax total for the cart"
},
"tax_label": {
"type": "string",
"description": "Optional display label for the tax line"
},
"lines": {
"type": "array",
"description": "Array of items with their tax amounts",
"items": {
"type": "object",
"required": [
"item_id",
"tax"
],
"properties": {
"item_id": {
"type": "string"
},
"tax": {
"type": "number"
}
}
}
}
}
},
"example_response": {
"tax_total": 10,
"lines": [
{
"item_id": "1",
"tax": 6
},
{
"item_id": "2",
"tax": 1.5
},
{
"item_id": "3_123",
"tax": 2.5
}
]
}
}
],
"meta": {
"request_id": "8f3c2b71-5d4e-4a9b-b6f0-1e7a9c3d2f58",
"timestamp": "2026-09-30T14:05:12Z"
}
}{
"message": "<string>"
}⌘I
List callback schemas
curl --request GET \
--url https://api.fluid.app/api/callback/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/callback/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/callback/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/callback/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/callback/schemas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/callback/schemas")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/callback/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schemas": [
{
"name": "cart_customer_attached",
"version": "1.0.0",
"schema_hash": "cart_customer_attached_v1",
"description": "Called when a customer is bound to a cart. Use this to perform customer-aware enrichment on the cart (loyalty discounts, eligibility checks, tier-based pricing) the moment the shopper becomes known.",
"request_schema": {
"type": "object",
"required": [
"cart",
"customer",
"context"
],
"properties": {
"cart": {
"type": "object"
},
"customer": {
"type": "object"
},
"context": {
"type": "object",
"required": [
"trigger_source",
"company_id"
],
"properties": {
"trigger_source": {
"type": "string"
},
"company_id": {
"type": "integer"
}
}
}
}
},
"response_schema": {
"type": "object",
"required": [
"success"
],
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string"
}
}
},
"example_response": {
"success": true,
"message": "Loyalty tier applied"
}
},
{
"name": "update_cart_tax",
"version": null,
"schema_hash": null,
"description": "Called when cart needs external tax calculation updates",
"request_schema": {
"type": "object",
"required": [
"cart",
"change_type"
],
"properties": {
"cart": {
"type": "object",
"description": "Cart object"
},
"change_type": {
"type": "string",
"description": "Type of change that triggered the tax update (e.g. 'add_items', 'remove_items', etc.)"
}
}
},
"response_schema": {
"type": "object",
"required": [
"tax_total"
],
"properties": {
"tax_total": {
"type": "number",
"description": "Updated tax total for the cart"
},
"tax_label": {
"type": "string",
"description": "Optional display label for the tax line"
},
"lines": {
"type": "array",
"description": "Array of items with their tax amounts",
"items": {
"type": "object",
"required": [
"item_id",
"tax"
],
"properties": {
"item_id": {
"type": "string"
},
"tax": {
"type": "number"
}
}
}
}
}
},
"example_response": {
"tax_total": 10,
"lines": [
{
"item_id": "1",
"tax": 6
},
{
"item_id": "2",
"tax": 1.5
},
{
"item_id": "3_123",
"tax": 2.5
}
]
}
}
],
"meta": {
"request_id": "8f3c2b71-5d4e-4a9b-b6f0-1e7a9c3d2f58",
"timestamp": "2026-09-30T14:05:12Z"
}
}{
"message": "<string>"
}